info.bioinfweb.jphyloio.objecttranslation.implementations

## Class ShortTranslator

- java.lang.Object
- - info.bioinfweb.jphyloio.objecttranslation.implementations.AbstractObjectTranslator<O>
  - - info.bioinfweb.jphyloio.objecttranslation.implementations.SimpleValueTranslator<O>
    - - info.bioinfweb.jphyloio.objecttranslation.implementations.NumericValueTranslator<java.lang.Short>
      - - info.bioinfweb.jphyloio.objecttranslation.implementations.ShortTranslator

- All Implemented Interfaces:
    ObjectTranslator<java.lang.Short>

      public class ShortTranslator
      extends NumericValueTranslator<java.lang.Short>

  An object translator from and to `Short`.
  Since:
    0.0.0
  Author:
    Ben Stöver

- - ### Field Summary

    - ### Fields inherited from class info.bioinfweb.jphyloio.objecttranslation.implementations.SimpleValueTranslator

      `MAX_STRING_REPRESENTATION_LENGTH`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ShortTranslator()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Class<java.lang.Short>` | `getObjectClass()` Returns the Java class of object instances created by this translator.
    `protected java.lang.Short` | `parseValue(java.lang.String representation, ReaderStreamDataProvider<?> streamDataProvider)`

    - ### Methods inherited from class info.bioinfweb.jphyloio.objecttranslation.implementations.NumericValueTranslator

      `representationToJava`

    - ### Methods inherited from class info.bioinfweb.jphyloio.objecttranslation.implementations.SimpleValueTranslator

      `hasStringRepresentation, javaToRepresentation, readXMLRepresentation, writeXMLRepresentation`

    - ### Methods inherited from class info.bioinfweb.jphyloio.objecttranslation.implementations.AbstractObjectTranslator

      `equals, hashCode`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ShortTranslator

          public ShortTranslator()

  - ### Method Detail

    - #### getObjectClass

          public java.lang.Class<java.lang.Short> getObjectClass()

      Description copied from interface: `ObjectTranslator`
      Returns the Java class of object instances created by this translator.

      Note that `ObjectTranslator.javaToRepresentation(Object, WriterStreamDataProvider)` and `ObjectTranslator.writeXMLRepresentation(XMLStreamWriter, Object, WriterStreamDataProvider)` may also accept instances of other classes. This is independent from the return value here.

      Returns:
        the class of the handled objects

    - #### parseValue

          protected java.lang.Short parseValue(java.lang.String representation,
                                               ReaderStreamDataProvider<?> streamDataProvider)
                                        throws java.lang.NumberFormatException

      Specified by:
        `parseValue` in class `NumericValueTranslator<java.lang.Short>`
      Throws:
        `java.lang.NumberFormatException`